Support » Plugin: W4 Post List » W4 Post List caused a fatal error: This plugin failed to load properly

  • Resolved craiggroshek

    (@craiggroshek)


    This morning, I woke to one of my websites having crashed, specifically because of W4 Post List.

    The email says:

    Howdy!

    Since WordPress 5.2 there is a built-in feature that detects when a plugin or theme causes a fatal error on your site, and notifies you with this automated email.

    In this case, WordPress caught an error with one of your plugins, W4 Post List.

    First, visit your website (https://www.XXXXXXXXXXXXXXXXXXXX.com/) and check for any visible issues. Next, visit the page where the error was caught (https://www.XXXXXXXXXXXXXXXXXXXX.com/wp-login.php) and check for any visible issues.

    Please contact your host for assistance with investigating this issue further.

    If your site appears broken and you can’t access your dashboard normally, WordPress now has a special “recovery mode”. This lets you safely login to your dashboard and investigate further.

    [REDACTED]

    To keep your site safe, this link will expire in 1 day. Don’t worry about that, though: a new link will be emailed to you if the error occurs again after it expires.

    When seeking help with this issue, you may be asked for some of the following information:
    WordPress version 5.4.1
    Current theme: Bridge (version 21.4)
    Current plugin: W4 Post List (version 2.3.0) PHP version 7.0.33

    Error Details
    =============
    An error of type E_ERROR was caused in line 8 of the file /home/XXXXXXXXXXXXXXXXXXXX/public_html/wp-content/plugins/w4-post-list/includes/abstracts/list.php. Error message: Cannot declare class W4PL_List, because the name is already in use

    * * * * * *

    I entered the website in recovery mode, and on the plugins screen, W4 Post List shows the following:

    This plugin failed to load properly and is paused during recovery mode.

    An error of type E_ERROR was caused in line 8 of the file /home/XXXXXXXXXXXXX/public_html/wp-content/plugins/w4-post-list/includes/abstracts/list.php. Error message: Cannot declare class W4PL_List, because the name is already in use

    My other website is not experiencing this issue.

    Any idea what the problem may be?

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Shazzad Hossain Khan

    (@sajib1223)

    The file list.php was from the older version of the plugin, which doesn’t not exists on the new version.

    Can you please delete the plugin and install again ?

    Note: Deleting the plugin won’t delete any of the list you had created.

    Thread Starter craiggroshek

    (@craiggroshek)

    I have removed your plugin from the site in question, as it was used very sparingly there. I use it far more extensively on my other two. If the same issue occurs there, I will be sure to do that. Thank you for the prompt response!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘W4 Post List caused a fatal error: This plugin failed to load properly’ is closed to new replies.